// ServSock.h
// Header file for CServSock class, based on CAsyncSocket
// Meant to open a socket on a user entered UDP port, and wait for
// data.
#ifndef UDPSERVSOCK_H
#define UDPSERVSOCK_H

class CUDPDoc;		// Prototype of CUDPDoc class

class CServSock : public CSocket
{

private:
	CServSock(const CServSock& rSrc);	// no implementation

	void operator= (const CServSock& rSrc);   // no implementation

protected:
	UINT m_nUDPPort;
	void OnReceive(int nError);

public:
	CUDPDoc* m_pUDoc;
	void SetPort(UINT port);
	UINT GetPort() {return (m_nUDPPort);}  // Inline GetPort() Function
	CServSock(CUDPDoc* pDoc );		// Constructor
	virtual ~CServSock();			// Destructor

};  // End of CServSock


#endif